import { jsx } from "react/jsx-runtime";
import { TreePalmIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TreePalm = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "TreePalm", ...props, children: /* @__PURE__ */ jsx(TreePalmIcon, { weight: variant }) });
  }
);
TreePalm.displayName = "TreePalm";
Object.assign(TreePalm, { isGdsIcon: true });
export {
  TreePalm
};
